com.genesyslab.wfm8.API.service.calendar810

## Class CalShift

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar810.CalShift

- All Implemented Interfaces:
    java.io.Serializable

      public class CalShift
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected double` | `wmEarliestStartTime` Shift earliest start time
    `protected int` | `wmLatestEndDuration` Shift latest end duration
    `protected int` | `wmMaxDuration` Shift maximum paid duration
    `protected int` | `wmMaxUnpaidTime` Maximum unpaid duration of Shift items
    `protected int` | `wmMinDuration` Shift minimum paid duration
    `protected int` | `wmMinUnpaidTime` Minimum unpaid duration of Shift items
    `protected java.lang.String` | `wmName` Shift name
    `protected java.util.List<java.lang.Boolean>` | `wmOpenWeekDays` Array of open weekday indicators, true - opened, 0 - Monday, ...
    `protected int` | `wmShiftId` Shift ID
    `protected int` | `wmSiteId` Site ID
    `protected int` | `wmStartStep` Shift start step in minutes

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalShift()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `double` | `getWmEarliestStartTime()` Gets the wmEarliestStartTime value for this CalShift.
    `int` | `getWmLatestEndDuration()` Gets the wmLatestEndDuration value for this CalShift.
    `int` | `getWmMaxDuration()` Gets the wmMaxDuration value for this CalShift.
    `int` | `getWmMaxUnpaidTime()` Gets the wmMaxUnpaidTime value for this CalShift.
    `int` | `getWmMinDuration()` Gets the wmMinDuration value for this CalShift.
    `int` | `getWmMinUnpaidTime()` Gets the wmMinUnpaidTime value for this CalShift.
    `java.lang.String` | `getWmName()` Gets the wmName value for this CalShift.
    `java.util.List<java.lang.Boolean>` | `getWmOpenWeekDays()` Gets the wmOpenWeekDays value for this CalShift.
    `int` | `getWmShiftId()` Gets the wmShiftId value for this CalShift.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this CalShift.
    `int` | `getWmStartStep()` Gets the wmStartStep value for this CalShift.
    `int` | `hashCode()`
    `void` | `setWmEarliestStartTime(double wmEarliestStartTime)` Sets the wmEarliestStartTime value for this CalShift.
    `void` | `setWmLatestEndDuration(int wmLatestEndDuration)` Sets the wmLatestEndDuration value for this CalShift.
    `void` | `setWmMaxDuration(int wmMaxDuration)` Sets the wmMaxDuration value for this CalShift.
    `void` | `setWmMaxUnpaidTime(int wmMaxUnpaidTime)` Sets the wmMaxUnpaidTime value for this CalShift.
    `void` | `setWmMinDuration(int wmMinDuration)` Sets the wmMinDuration value for this CalShift.
    `void` | `setWmMinUnpaidTime(int wmMinUnpaidTime)` Sets the wmMinUnpaidTime value for this CalShift.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this CalShift.
    `void` | `setWmOpenWeekDays(java.util.List<java.lang.Boolean> wmOpenWeekDays)` Sets the wmOpenWeekDays value for this CalShift.
    `void` | `setWmShiftId(int wmShiftId)` Sets the wmShiftId value for this CalShift.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this CalShift.
    `void` | `setWmStartStep(int wmStartStep)` Sets the wmStartStep value for this CalShift.
    `java.lang.String` | `toString()`
    `CalShift` | `withWmEarliestStartTime(double value)`
    `CalShift` | `withWmLatestEndDuration(int value)`
    `CalShift` | `withWmMaxDuration(int value)`
    `CalShift` | `withWmMaxUnpaidTime(int value)`
    `CalShift` | `withWmMinDuration(int value)`
    `CalShift` | `withWmMinUnpaidTime(int value)`
    `CalShift` | `withWmName(java.lang.String value)`
    `CalShift` | `withWmOpenWeekDays(java.lang.Boolean... values)`
    `CalShift` | `withWmOpenWeekDays(java.util.Collection<java.lang.Boolean> values)`
    `CalShift` | `withWmShiftId(int value)`
    `CalShift` | `withWmSiteId(int value)`
    `CalShift` | `withWmStartStep(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmShiftId

          protected int wmShiftId

      Shift ID

    - #### wmSiteId

          protected int wmSiteId

      Site ID

    - #### wmName

          protected java.lang.String wmName

      Shift name

    - #### wmMinDuration

          protected int wmMinDuration

      Shift minimum paid duration

    - #### wmMaxDuration

          protected int wmMaxDuration

      Shift maximum paid duration

    - #### wmEarliestStartTime

          protected double wmEarliestStartTime

      Shift earliest start time

    - #### wmLatestEndDuration

          protected int wmLatestEndDuration

      Shift latest end duration

    - #### wmOpenWeekDays

          protected java.util.List<java.lang.Boolean> wmOpenWeekDays

      Array of open weekday indicators, true - opened, 0 - Monday, ... 6 - Sunday

    - #### wmStartStep

          protected int wmStartStep

      Shift start step in minutes

    - #### wmMinUnpaidTime

          protected int wmMinUnpaidTime

      Minimum unpaid duration of Shift items

    - #### wmMaxUnpaidTime

          protected int wmMaxUnpaidTime

      Maximum unpaid duration of Shift items

  - ### Constructor Detail

    - #### CalShift

          public CalShift()

  - ### Method Detail

    - #### getWmShiftId

          public int getWmShiftId()

      Gets the wmShiftId value for this CalShift.
      Returns:
        wmShiftId

    - #### setWmShiftId

          public void setWmShiftId(int wmShiftId)

      Sets the wmShiftId value for this CalShift.
      Parameters:
        `wmShiftId` -

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this CalShift.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this CalShift.
      Parameters:
        `wmSiteId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this CalShift.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this CalShift.
      Parameters:
        `wmName` -

    - #### getWmMinDuration

          public int getWmMinDuration()

      Gets the wmMinDuration value for this CalShift.
      Returns:
        wmMinDuration

    - #### setWmMinDuration

          public void setWmMinDuration(int wmMinDuration)

      Sets the wmMinDuration value for this CalShift.
      Parameters:
        `wmMinDuration` -

    - #### getWmMaxDuration

          public int getWmMaxDuration()

      Gets the wmMaxDuration value for this CalShift.
      Returns:
        wmMaxDuration

    - #### setWmMaxDuration

          public void setWmMaxDuration(int wmMaxDuration)

      Sets the wmMaxDuration value for this CalShift.
      Parameters:
        `wmMaxDuration` -

    - #### getWmEarliestStartTime

          public double getWmEarliestStartTime()

      Gets the wmEarliestStartTime value for this CalShift.
      Returns:
        wmEarliestStartTime

    - #### setWmEarliestStartTime

          public void setWmEarliestStartTime(double wmEarliestStartTime)

      Sets the wmEarliestStartTime value for this CalShift.
      Parameters:
        `wmEarliestStartTime` -

    - #### getWmLatestEndDuration

          public int getWmLatestEndDuration()

      Gets the wmLatestEndDuration value for this CalShift.
      Returns:
        wmLatestEndDuration

    - #### setWmLatestEndDuration

          public void setWmLatestEndDuration(int wmLatestEndDuration)

      Sets the wmLatestEndDuration value for this CalShift.
      Parameters:
        `wmLatestEndDuration` -

    - #### getWmOpenWeekDays

          public java.util.List<java.lang.Boolean> getWmOpenWeekDays()

      Gets the wmOpenWeekDays value for this CalShift.
      Returns:
        wmOpenWeekDays

    - #### setWmOpenWeekDays

          public void setWmOpenWeekDays(java.util.List<java.lang.Boolean> wmOpenWeekDays)

      Sets the wmOpenWeekDays value for this CalShift.
      Parameters:
        `wmOpenWeekDays` -

    - #### getWmStartStep

          public int getWmStartStep()

      Gets the wmStartStep value for this CalShift.
      Returns:
        wmStartStep

    - #### setWmStartStep

          public void setWmStartStep(int wmStartStep)

      Sets the wmStartStep value for this CalShift.
      Parameters:
        `wmStartStep` -

    - #### getWmMinUnpaidTime

          public int getWmMinUnpaidTime()

      Gets the wmMinUnpaidTime value for this CalShift.
      Returns:
        wmMinUnpaidTime

    - #### setWmMinUnpaidTime

          public void setWmMinUnpaidTime(int wmMinUnpaidTime)

      Sets the wmMinUnpaidTime value for this CalShift.
      Parameters:
        `wmMinUnpaidTime` -

    - #### getWmMaxUnpaidTime

          public int getWmMaxUnpaidTime()

      Gets the wmMaxUnpaidTime value for this CalShift.
      Returns:
        wmMaxUnpaidTime

    - #### setWmMaxUnpaidTime

          public void setWmMaxUnpaidTime(int wmMaxUnpaidTime)

      Sets the wmMaxUnpaidTime value for this CalShift.
      Parameters:
        `wmMaxUnpaidTime` -

    - #### withWmShiftId

          public CalShift withWmShiftId(int value)

    - #### withWmSiteId

          public CalShift withWmSiteId(int value)

    - #### withWmStartStep

          public CalShift withWmStartStep(int value)

    - #### withWmEarliestStartTime

          public CalShift withWmEarliestStartTime(double value)

    - #### withWmLatestEndDuration

          public CalShift withWmLatestEndDuration(int value)

    - #### withWmMaxDuration

          public CalShift withWmMaxDuration(int value)

    - #### withWmMaxUnpaidTime

          public CalShift withWmMaxUnpaidTime(int value)

    - #### withWmMinDuration

          public CalShift withWmMinDuration(int value)

    - #### withWmMinUnpaidTime

          public CalShift withWmMinUnpaidTime(int value)

    - #### withWmName

          public CalShift withWmName(java.lang.String value)

    - #### withWmOpenWeekDays

          public CalShift withWmOpenWeekDays(java.util.Collection<java.lang.Boolean> values)

    - #### withWmOpenWeekDays

          public CalShift withWmOpenWeekDays(java.lang.Boolean... values)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.